# Interface DxfBlock

Represents a DXF block that groups multiple DXF entities together. A block can be inserted, transformed, or reused within the DXF drawing.

interface DxfBlock {
color?: number;
entities: DxfEntity[];
layer?: string;
name: string;
position?: DxfPoint;
type: string | number;
}

#####
Index

### Properties

color?
entities
layer?
name
position?
type

##
Properties

### `Optional` color

color?: number

Optional color index or code for the block.

### entities

entities: DxfEntity[]

List of DXF entities that make up the block.

### `Optional` layer

layer?: string

Optional layer name associated with the block.

### name

name: string

The name of the block.

### `Optional` position

position?: DxfPoint

Optional insertion point or reference position for the block.

### type

type: string | number

The type of block (numeric or string identifier).